cURL
curl --request PUT \ --url https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends \ --header 'Content-Type: application/json' \ --header 'Galileo-API-Key: <api-key>' \ --data ' { "interval_mins": 123, "layout_map": {}, "start_time": 123, "end_time": 123, "filter_tree": { "filter": { "column_id": "<string>", "value": "<string>", "operator": "eq", "type": "id" } }, "group_by": "<string>" } '
{ "id": "<string>", "log_stream_id": "<string>", "project_id": "<string>", "layout_map": {}, "interval_mins": 123, "start_time": 123, "end_time": 123, "widgets": [ { "id": "<string>", "name": "<string>", "type": "bar_chart", "metric": "<string>", "aggregation": "Count", "description": "<string>", "dataset": [ {} ], "section_id": "<string>" } ], "sections": [ { "id": "<string>", "name": "<string>", "description": "<string>", "widgets": [ { "id": "<string>", "name": "<string>", "type": "bar_chart", "metric": "<string>", "aggregation": "Count", "description": "<string>", "dataset": [ {} ], "section_id": "<string>" } ] } ], "group_by": "<string>", "filter_tree": { "filter": { "column_id": "<string>", "value": "<string>", "operator": "eq", "type": "id" } } }
Update dashboard properties: filter_tree, group_by, interval_mins, layout_map, start_time, end_time.
Show child attributes
Successful Response
50
Was this page helpful?